WNTextInternal::State Struct Reference

Internal: the state of a WNText. More...

## Public Member Functions

| State ()
| constructor More...
Paragraph | getDefaultParagraph (int type) const
| return a paragraph corresponding to 0:body, 1: header/footer, 2: footnote More...
int | getFontId (int localId) const
| return a mac font id corresponding to a local id More...
shared_ptr< ContentZones > | getContentZone (long pos) const
| return the content corresponding to a pos More...

## Public Attributes

int | m_version
| the file version More...
int | m_numColumns
| the number of column More...
int | m_numPages
int | m_actualPage
Paragraph | m_paragraph
| the paragraph properties More...
shared_ptr< ContentZones > | m_header
| the header and the footer More...
shared_ptr< ContentZones > | m_footer
std::map< int, int > | m_localFIdMap
| a map local fontId->fontId More...
std::map< int, int > | m_styleMap
| the style indirection table More...
std::vector< Style > | m_styleList
| the list of styles (body, footer, footnote, header, table ) More...
Zone | m_mainZones [3]
| the three main zone ( text, footnote, header/footer) More...
std::map< long, shared_ptr < ContentZones > > | m_contentMap
| the list of contentZones More...

## Detailed Description

Internal: the state of a WNText.

## Constructor & Destructor Documentation

WNTextInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

shared_ptr<ContentZones> WNTextInternal::State::getContentZone | ( | long | pos | ) | const

inline

return the content corresponding to a pos

Paragraph WNTextInternal::State::getDefaultParagraph | ( | int | type | ) | const

inline

return a paragraph corresponding to 0:body, 1: header/footer, 2: footnote

int WNTextInternal::State::getFontId | ( | int | localId | ) | const

inline

return a mac font id corresponding to a local id

## Member Data Documentation

int WNTextInternal::State::m_actualPage

std::map<long, shared_ptr<ContentZones> > WNTextInternal::State::m_contentMap

the list of contentZones

Referenced by getContentZone().

shared_ptr<ContentZones> WNTextInternal::State::m_footer

shared_ptr<ContentZones> WNTextInternal::State::m_header

the header and the footer

std::map<int, int> WNTextInternal::State::m_localFIdMap

a map local fontId->fontId

Referenced by getFontId().

Zone WNTextInternal::State::m_mainZones[3]

the three main zone ( text, footnote, header/footer)

int WNTextInternal::State::m_numColumns

the number of column

int WNTextInternal::State::m_numPages

Paragraph WNTextInternal::State::m_paragraph

the paragraph properties

Referenced by getDefaultParagraph().

std::vector<Style> WNTextInternal::State::m_styleList

the list of styles (body, footer, footnote, header, table )

Referenced by getDefaultParagraph().

std::map<int, int> WNTextInternal::State::m_styleMap

the style indirection table

int WNTextInternal::State::m_version

mutable

the file version

Referenced by getDefaultParagraph().

The documentation for this struct was generated from the following file:

- WNText.cxx